%global short_name eGTK
%global full_name  elementary GTK

Name:       egtk
Version:    4.0.6
Release:    1%{?dist}
Summary:    The %{short_name} (%{full_name}) themes for GTK+2, GTK+3, Metacity and Xfwm4

License:    GPLv3+
URL:        https://launchpad.net/%{name}
Source0:    %{url}/4.x/%{version}/+download/elementary.tar.xz#/%{name}-%{version}.tar.gz
# with v3.2+/4.x upstream does not provide any xfwm4 files
Source1:    %{url}/3.x/3.1/+download/elementary.tar.gz#/%{name}-3.1.tar.gz

BuildArch:  noarch

%description
The official %{full_name} theme designed to be smooth, 
attractive, fast, and usable.


%package common
Summary:    Files common to %{short_name} themes

%description common
Files which are common to all %{short_name} (%full_name) themes.


%package gtk2-theme
Summary:    The %{short_name} theme for GTK+2
Requires:   %{name}-common = %{version}-%{release}
Requires:   gtk-murrine-engine

%description gtk2-theme
Theme for GTK+2 as part of the %{short_name} (%full_name) theme.


%package gtk3-theme
Summary:    The %{short_name} theme for GTK+3
Requires:   %{name}-common = %{version}-%{release}
Requires:   gtk-unico-engine

%description gtk3-theme
Theme for GTK+3 as part of the %{short_name} (%full_name) theme.


%package metacity-theme
Summary:    The %{short_name} theme for Metacity
Requires:   %{name}-common = %{version}-%{release}
Requires:   metacity

%description metacity-theme
Theme for Metacity as part of the %{short_name} (%full_name) theme.


%package xfwm4-theme
Version:    3.1
Release:    1%{?dist}
Epoch:      1
Summary:    The %{short_name} theme for Xfwm4 (legacy)
#Requires:   %{name}-common = %{version}-%{release}
Requires:   xfwm4

%description xfwm4-theme
Theme for Xfwm4 as part of the %{short_name} (%full_name) theme.


%prep
%setup -q -c
# Remove backup files
find . -name '*~' -type f -exec rm -f '{}' \;
# Remove Bazaar-related files
rm -rf .bzr
# Remove "index.theme"
rm -f index.theme
# patch xfwm4 files
mkdir legacy
tar -C legacy -xf %{SOURCE1}


%build
# Nothing to build


%install
for dir in gtk-2.0 gtk-3.0 metacity-1
do
    mkdir -p -m755 %{buildroot}%{_datadir}/themes/%{short_name}/$dir
    cp -pr ./*/$dir/* %{buildroot}%{_datadir}/themes/%{short_name}/$dir
done
# legacy stuff
mkdir -p -m755 %{buildroot}%{_datadir}/themes/%{short_name}/xfwm4
cp -pr legacy/*/xfwm4/* %{buildroot}%{_datadir}/themes/%{short_name}/xfwm4


%files common
%license elementary/COPYING
%doc elementary/AUTHORS elementary/CONTRIBUTORS
%dir %{_datadir}/themes/%{short_name}/


%files gtk2-theme
%{_datadir}/themes/%{short_name}/gtk-2.0/


%files gtk3-theme
%{_datadir}/themes/%{short_name}/gtk-3.0/


%files metacity-theme
%{_datadir}/themes/%{short_name}/metacity-1/


%files xfwm4-theme
%license legacy/elementary/COPYING
%doc legacy/elementary/AUTHORS legacy/elementary/CONTRIBUTORS
%dir %{_datadir}/themes/%{short_name}
%{_datadir}/themes/%{short_name}/xfwm4/


%changelog
* Mon Mar 07 2016 Raphael Groner <projects.rg@smart.ms> - 4.0.6-1
- bump to 4.x series
- add license macro
- split xfwm4 legacy package (v3.1 discontinued) from common
- FIXME? plank theme file

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Mar 31 2015 Raphael Groner <projects.rg@smart.ms> - 3.4-2
- v3.4 with the new tarball
- remove deprecated Group: tag
- upstream switched to GPLv3+
- keep legacy xfwm4 theme from v3.1

* Tue Mar 31 2015 Raphael Groner <projects.rg@smart.ms> - 3.4-1
- v3.4

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jun 26 2012 Mattia Meneguzzo <odysseus@fedoraproject.org> - 3.1-1
- Initial package for Fedora
